Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List view preferences

GET/workspaces/{organizationId}/view-preferences
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

View preferences

organizationIdstringrequired
userIdstringrequired
defaultViewIdstring | nullrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/view-preferences' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "organizationId": "string",
  "userId": "string",
  "defaultViewId": "string",
  "updatedAt": "string"
}

Was this page helpful?